# Offer Applications

***Offer applications includes related information of the offer and the information of the relevant affiliate. In the process, only approved affiliate can promote this offer. If refused, the affiliate temporarily unable to promote this offer.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                    | Description                          |
| ---------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------ |
| **Get**    |             |                                                                                                                                             |                                      |
|            | GET         | [/v1/offer\_applications/{application\_id}](/api-documentation/networkapi/offerapplications/get_an_application_information.md)              | Get an application information       |
|            | GET         | [/v1/offer\_applications](/api-documentation/networkapi/offerapplications/get_all_application_information.md)                               | Get all application information      |
| **Edit**   |             |                                                                                                                                             |                                      |
|            | PATCH       | [/v1/batches/offer\_applications/{application\_ids}](/api-documentation/networkapi/offerapplications/update-offerapplication-the-status.md) | Update offer\_application the status |
|            | PATCH       | [/v1/offer\_applications/{application\_id}/approved](/api-documentation/networkapi/offerapplications/application_through.md)                | Application through                  |
|            | PATCH       | [/v1/offer\_applications/{application\_id}/rejected](/api-documentation/networkapi/offerapplications/the_application_does_not_pass.md)      | The application does not pass        |
| **Delete** |             |                                                                                                                                             |                                      |
|            | DELETE      | [/v1/offer\_applications/{application\_id}](/api-documentation/networkapi/offerapplications/delete_an_application.md)                       | Delete an application                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offerapplications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
